Figure - Bug #117613
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT3O O Monkeyd Monkey O 240 O O O O CRASH: com.android.gallery3dd 10

2023-04-2111:00-CD TEST-0 0 O

Status: CLOSED Start date: 2023-04-21

Priority: High Due date:

Assignee: CDTEST-UDOO % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: - Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0093
Resolution: FIXED Degrated: -

Severity: Critical Verified Version: FlatBuild_ HH_MCE_FSE.M.R.user.01.00.0095
Reproducibility: Every time Fixed Version: 2023-04-22

Test Type: Monkey Test Root cause: AOSPO O

Description

oooood

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800 2>/sdcard/error.txt 1>/sdcard/info.txt
oooood
// CRASH: com.android.gallery3d (pid 29553)

// Short Msg: java.lang.NullPointerException
// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void

android.graphics.Canvas.drawBitmap(android.graphics.Bitmap, float, float, android.graphics.Paint)’ on a null object reference

// Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/2937:user/test-keys
// Build Changelist; 2937
// Build Time: 1681946324000

// java.lang.NullPointerException: Attempt to invoke virtual method 'void android.graphics.Canvas.drawBitmap(android.graphics.Bitmap, float,

float, android.graphics.Paint)' on a null object reference
/' atcom.android.gallery3d.glrenderer.TiledTexture$Tile.onGetBitmap(TiledTexture.java:142)
//  at com.android.gallery3d.glrenderer.UploadedTexture.getBitmap(Uploaded Texture.java:136)

//  at com.android.gallery3d.glrenderer.UploadedTexture.uploadToCanvas(Uploaded Texture.java:215)

//  at com.android.gallery3d.glrenderer.UploadedTexture.updateContent(Uploaded Texture.java:194)

//  at com.android.gallery3d.glrenderer.Tiled Texture.uploadNextTile(TiledTexture.java:190)
//at com.android.gallery3d.glrenderer. Tiled Texture.access$000( Tiled Texture.java:39)

//at com.android.gallery3d.glrenderer.TiledTexture$Uploader.onGLIdle(Tiled Texture.java:98)
// at com.android.gallery3d.ui.GLRootView$ldleRunner.run(GLRootView.java:504)

/! atandroid.opengl.GLSurfaceView$GLThread.guardedRun(GLSurfaceView.java:1502)

//  atandroid.opengl.GLSurfaceView$GLThread.run(GLSurfaceView.java:1272)
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_117613

#2 - 2023-04-21 11:06 - CD APP-0 O
- Status changed from New to ASSIGNED

- Assignee changed from CD APP-0 O to CD APP-00 O

#3 - 2023-04-21 14:31 - CD APP-00 O

m Current conclusion
ooo

m My analysis

000 0000sCanvas O NullPointerException0 0000000

m Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/195309

#4 - 2023-04-21 15:07 - 0T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

195309

general/platform/packages/apps/Galler
y2

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hong.wang_a@thundersoft.com

AF:Gallery2:Fixed monkey crashTC-RID: 0301-0300701IssuelD: TS-R-BUG-117613Change-1d: 1c95a71281bc5efd47f4cdae5¢305ab6218fdb131

#5 - 2023-04-21 15:09 - CD APP-0 0

- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD APP-00 0 to CD TEST-0O O O

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-22

- Root cause set to AOSPO O

#6 - 2023-04-2518:34-CD TEST-0 O O

4.25

2000000000D0C000D0C00

#7 - 2023-04-26 11:24 - CD TEST-0 O O

4.26

o400

#8 - 2023-04-27 13:56 - CD TEST-O O O

4.27
oODBOOOOOOODDOODOODDODOO
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117613
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/195309

#9 - 2023-04-28 17:26 - CD TEST-0 0 O
- Status changed from RESOLVED to VERIFIED
- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

4.28
2r0DBOOODOOOO

#10 - 2023-04-28 17:26 - CD TEST-O0 O O
- Status changed from VERIFIED to CLOSED

Files
error.txt 257 MB 2023-04-21 CDTEST-0 00O
2025-07-04 3/3



